# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLLIElement Class Reference

List item. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLLIElement:

[legend]
Collaboration diagram for DOM::HTMLLIElement:

[legend]
List of all members.

## Public Member Functions

| HTMLLIElement (const HTMLLIElement &other)
| HTMLLIElement (const Node &other)
HTMLLIElement & | operator= (const HTMLLIElement &other)
HTMLLIElement & | operator= (const Node &other)
DOMString | type () const
void | setType (const DOMString &)
long | value () const
void | setValue (long)

## Protected Member Functions

| HTMLLIElement (HTMLLIElementImpl *impl)

## Detailed Description

List item.

See the LI element definition in HTML 4.0.

Definition at line 131 of file html_list.h.

## Member Function Documentation

DOMString HTMLLIElement::type | ( |  | ) | const

| List item bullet style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 152 of file html_list.cpp.

void HTMLLIElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 158 of file html_list.cpp. References value().

long HTMLLIElement::value | ( |  | ) | const

| Reset sequence number when used in `OL` See the value attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 163 of file html_list.cpp. References DOM::DOMString::toInt(). Referenced by setType(), and setValue().

void HTMLLIElement::setValue | ( | long |  | ) |

| see value Definition at line 169 of file html_list.cpp. References value().

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:25 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003